aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xci/before_install.sh10
-rwxr-xr-xci/install.sh4
2 files changed, 7 insertions, 7 deletions
diff --git a/ci/before_install.sh b/ci/before_install.sh
index 8b0603eb16..f84ad935bc 100755
--- a/ci/before_install.sh
+++ b/ci/before_install.sh
@@ -32,10 +32,8 @@ if [[ "${TRAVIS_OS_NAME}" == osx ]]; then
echo "Upgrade Python 3 pip."
pip3 -q install --user --upgrade pip
else
- if command -v pip3 ; then
- echo "Upgrade Python 3 pip."
- pip3 -q install --user --upgrade pip
- else
- echo 'warning: missing pip3'
- fi
+ echo "Upgrade Python 3 pip."
+ # Allow failure. pyenv pip3 on travis is broken:
+ # https://github.com/travis-ci/travis-ci/issues/8363
+ pip3 -q install --user --upgrade pip || true
fi
diff --git a/ci/install.sh b/ci/install.sh
index 4ee99e1e44..c8a0c8825d 100755
--- a/ci/install.sh
+++ b/ci/install.sh
@@ -17,7 +17,9 @@ echo "Install neovim module and coveralls for Python 2."
CC=cc pip2.7 -q install --user --upgrade neovim cpp-coveralls
echo "Install neovim module for Python 3."
-CC=cc pip3 -q install --user --upgrade neovim
+# Allow failure. pyenv pip3 on travis is broken:
+# https://github.com/travis-ci/travis-ci/issues/8363
+CC=cc pip3 -q install --user --upgrade neovim || true
echo "Install neovim RubyGem."
gem install --no-document --version ">= 0.2.0" neovim